// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"

#include "Ocean.h"
#include "GameFramework/GameMode.h"
#include "SOCGameModeBase.generated.h"

/**
 * 
 */
UCLASS()
class SEAOFCROOKS_API ASOCGameModeBase : public AGameMode
{
	GENERATED_BODY()

public:
	ASOCGameModeBase();

protected:
	UPROPERTY(EditDefaultsOnly, Category="Ocean")
	TSubclassOf<AOcean> OceanClass;
	
	virtual void StartPlay() override;
};
